| TIME(3) | TIME(3)
| NAME
| time, nsec – time in seconds and nanoseconds since epoch
SYNOPSIS
| `#include <u.h> #include <libc.h>
` `long time(long *tp)
` `vlong nsec(void)`
DESCRIPTION
| Both time and nsec return the time since the epoch 00:00:00 GMT, Jan. 1, 1970. The return value of the former is in seconds and the latter in nanoseconds. For time, if tp is not zero then `*`tp is also set to the answer.
SOURCE
| `/build/plan9port/pkg/plan9port/usr/local/plan9port/src/lib9/time.c`
DIAGNOSTICS
| These functions set errstr.
BUGS
| To avoid name conflicts with the underlying system, time and nsec are preprocessor macros defined as p9time and p9nsec; see intro(3).